Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model
Class Resource<M>

    java.lang.Object
      org.teleal.cling.model.Resource<M>

    public class Resource<M>

extends Object

Nested Class Summary
`static class` | `Resource.Type`

Constructor Summary
`Resource(Resource.Type type, URI localURI, M model)`
`Resource(URI localURI, M model)`

Method Summary
`boolean` | `equals(Object o)`
`URI` | `getLocalPathQuery()`
`URI` | `getLocalURI()`
`M` | `getModel()`
`Resource.Type` | `getType()`
`int` | `hashCode()`
`void` | `maintain(List<Runnable> pendingExecutions, ExpirationDetails expirationDetails)`
`boolean` | `matchesPathQuery(URI pathQuery)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Resource

    public Resource(URI localURI,
                    M model)

### Resource

    public Resource(Resource.Type type,
                    URI localURI,
                    M model)

Method Detail

### getType

    public Resource.Type getType()

### getLocalURI

    public URI getLocalURI()

### getModel

    public M getModel()

### getLocalPathQuery

    public URI getLocalPathQuery()

### matchesPathQuery

    public boolean matchesPathQuery(URI pathQuery)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### maintain

    public void maintain(List<Runnable> pendingExecutions,
                         ExpirationDetails expirationDetails)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.